Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5144)
@@ -774,134 +759,133 @@
     !       time_cas2=(it_cas2-1)*pdt_cas
 
-    it_cas1=INT(timeit/pdt_cas)+1
+    it_cas1 = INT(timeit / pdt_cas) + 1
     IF (it_cas1 == nt_cas) THEN
-       it_cas2=it_cas1 
+      it_cas2 = it_cas1
     ELSE
-       it_cas2=it_cas1 + 1
+      it_cas2 = it_cas1 + 1
     ENDIF
-    time_cas1=(it_cas1-1)*pdt_cas
-    time_cas2=(it_cas2-1)*pdt_cas
+    time_cas1 = (it_cas1 - 1) * pdt_cas
+    time_cas2 = (it_cas2 - 1) * pdt_cas
     !     print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
     !     print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
     IF (it_cas1 > nt_cas) THEN
-       WRITE(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
-            ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
-       stop
+      WRITE(*, *) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
+              , day, day_ju_ini_cas, it_cas1, it_cas2, timeit
+      stop
     endif
 
     ! time interpolation:
     IF (it_cas1 == it_cas2) THEN
-       frac=0.
+      frac = 0.
     ELSE
-       frac=(time_cas2-timeit)/(time_cas2-time_cas1)
-       frac=max(frac,0.0)
+      frac = (time_cas2 - timeit) / (time_cas2 - time_cas1)
+      frac = max(frac, 0.0)
     ENDIF
 
     lat_prof_cas = lat_cas(it_cas2)                                   &
-         -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
+            - frac * (lat_cas(it_cas2) - lat_cas(it_cas1))
     sens_prof_cas = sens_cas(it_cas2)                                 &
-         -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
+            - frac * (sens_cas(it_cas2) - sens_cas(it_cas1))
     tkes_prof_cas = tkes_cas(it_cas2)                                   &
-         -frac*(tkes_cas(it_cas2)-tkes_cas(it_cas1))
+            - frac * (tkes_cas(it_cas2) - tkes_cas(it_cas1))
     ts_prof_cas = ts_cas(it_cas2)                                     &
-         -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
+            - frac * (ts_cas(it_cas2) - ts_cas(it_cas1))
     tskin_prof_cas = tskin_cas(it_cas2)                                     &
-         -frac*(tskin_cas(it_cas2)-tskin_cas(it_cas1))
+            - frac * (tskin_cas(it_cas2) - tskin_cas(it_cas1))
     ps_prof_cas = ps_cas(it_cas2)                                     &
-         -frac*(ps_cas(it_cas2)-ps_cas(it_cas1))
+            - frac * (ps_cas(it_cas2) - ps_cas(it_cas1))
     ustar_prof_cas = ustar_cas(it_cas2)                               &
-         -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
-
-    do k=1,nlev_cas
-       plev_prof_cas(k) = plev_cas(k,it_cas2)                           &     
-            -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
-       t_prof_cas(k) = t_cas(k,it_cas2)                                 &        
-            -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
-       !print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
-       theta_prof_cas(k) = theta_cas(k,it_cas2)                         &                      
-            -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
-       thv_prof_cas(k) = thv_cas(k,it_cas2)                             &          
-            -frac*(thv_cas(k,it_cas2)-thv_cas(k,it_cas1))
-       thl_prof_cas(k) = thl_cas(k,it_cas2)                             &              
-            -frac*(thl_cas(k,it_cas2)-thl_cas(k,it_cas1))
-       qv_prof_cas(k) = qv_cas(k,it_cas2)                               &
-            -frac*(qv_cas(k,it_cas2)-qv_cas(k,it_cas1))
-       ql_prof_cas(k) = ql_cas(k,it_cas2)                               &
-            -frac*(ql_cas(k,it_cas2)-ql_cas(k,it_cas1))
-       qi_prof_cas(k) = qi_cas(k,it_cas2)                               &
-            -frac*(qi_cas(k,it_cas2)-qi_cas(k,it_cas1))
-       u_prof_cas(k) = u_cas(k,it_cas2)                                 &
-            -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
-       v_prof_cas(k) = v_cas(k,it_cas2)                                 &
-            -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
-       ug_prof_cas(k) = ug_cas(k,it_cas2)                               &
-            -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
-       vg_prof_cas(k) = vg_cas(k,it_cas2)                               &
-            -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
-       temp_nudg_prof_cas(k) = temp_nudg_cas(k,it_cas2)                    &
-            -frac*(temp_nudg_cas(k,it_cas2)-temp_nudg_cas(k,it_cas1))
-       qv_nudg_prof_cas(k) = qv_nudg_cas(k,it_cas2)                        &
-            -frac*(qv_nudg_cas(k,it_cas2)-qv_nudg_cas(k,it_cas1))
-       u_nudg_prof_cas(k) = u_nudg_cas(k,it_cas2)                          &
-            -frac*(u_nudg_cas(k,it_cas2)-u_nudg_cas(k,it_cas1))
-       v_nudg_prof_cas(k) = v_nudg_cas(k,it_cas2)                          &
-            -frac*(v_nudg_cas(k,it_cas2)-v_nudg_cas(k,it_cas1))
-       invtau_temp_nudg_prof_cas(k) = invtau_temp_nudg_cas(k,it_cas2)                    &
-            -frac*(invtau_temp_nudg_cas(k,it_cas2)-invtau_temp_nudg_cas(k,it_cas1))
-       invtau_qv_nudg_prof_cas(k) = invtau_qv_nudg_cas(k,it_cas2)                        &
-            -frac*(invtau_qv_nudg_cas(k,it_cas2)-invtau_qv_nudg_cas(k,it_cas1))
-       invtau_u_nudg_prof_cas(k) = invtau_u_nudg_cas(k,it_cas2)                          &
-            -frac*(invtau_u_nudg_cas(k,it_cas2)-invtau_u_nudg_cas(k,it_cas1))
-       invtau_v_nudg_prof_cas(k) = invtau_v_nudg_cas(k,it_cas2)                          &
-            -frac*(invtau_v_nudg_cas(k,it_cas2)-invtau_v_nudg_cas(k,it_cas1))
-       vitw_prof_cas(k) = vitw_cas(k,it_cas2)                           &
-            -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
-       omega_prof_cas(k) = omega_cas(k,it_cas2)                         &
-            -frac*(omega_cas(k,it_cas2)-omega_cas(k,it_cas1))
-       tke_prof_cas(k) = tke_cas(k,it_cas2)                         &
-            -frac*(tke_cas(k,it_cas2)-tke_cas(k,it_cas1))
-       du_prof_cas(k) = du_cas(k,it_cas2)                               &
-            -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
-       hu_prof_cas(k) = hu_cas(k,it_cas2)                               &
-            -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
-       vu_prof_cas(k) = vu_cas(k,it_cas2)                               &
-            -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
-       dv_prof_cas(k) = dv_cas(k,it_cas2)                               &
-            -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
-       hv_prof_cas(k) = hv_cas(k,it_cas2)                               &
-            -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
-       vv_prof_cas(k) = vv_cas(k,it_cas2)                               &
-            -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
-       dt_prof_cas(k) = dt_cas(k,it_cas2)                               &
-            -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
-       ht_prof_cas(k) = ht_cas(k,it_cas2)                               &
-            -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
-       vt_prof_cas(k) = vt_cas(k,it_cas2)                               &
-            -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
-       dth_prof_cas(k) = dth_cas(k,it_cas2)                             &
-            -frac*(dth_cas(k,it_cas2)-dth_cas(k,it_cas1))
-       hth_prof_cas(k) = hth_cas(k,it_cas2)                             &
-            -frac*(hth_cas(k,it_cas2)-hth_cas(k,it_cas1))
-       vth_prof_cas(k) = vth_cas(k,it_cas2)                             &
-            -frac*(vth_cas(k,it_cas2)-vth_cas(k,it_cas1))
-       dtrad_prof_cas(k) = dtrad_cas(k,it_cas2)                         &
-            -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
-       dq_prof_cas(k) = dq_cas(k,it_cas2)                               &
-            -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
-       hq_prof_cas(k) = hq_cas(k,it_cas2)                               &
-            -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
-       vq_prof_cas(k) = vq_cas(k,it_cas2)                               &
-            -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
-       uw_prof_cas(k) = uw_cas(k,it_cas2)                                &
-            -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
-       vw_prof_cas(k) = vw_cas(k,it_cas2)                                &
-            -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
-       q1_prof_cas(k) = q1_cas(k,it_cas2)                                &
-            -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
-       q2_prof_cas(k) = q2_cas(k,it_cas2)                                &
-            -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
+            - frac * (ustar_cas(it_cas2) - ustar_cas(it_cas1))
+
+    do k = 1, nlev_cas
+      plev_prof_cas(k) = plev_cas(k, it_cas2)                           &
+              - frac * (plev_cas(k, it_cas2) - plev_cas(k, it_cas1))
+      t_prof_cas(k) = t_cas(k, it_cas2)                                 &
+              - frac * (t_cas(k, it_cas2) - t_cas(k, it_cas1))
+      !print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
+      theta_prof_cas(k) = theta_cas(k, it_cas2)                         &
+              - frac * (theta_cas(k, it_cas2) - theta_cas(k, it_cas1))
+      thv_prof_cas(k) = thv_cas(k, it_cas2)                             &
+              - frac * (thv_cas(k, it_cas2) - thv_cas(k, it_cas1))
+      thl_prof_cas(k) = thl_cas(k, it_cas2)                             &
+              - frac * (thl_cas(k, it_cas2) - thl_cas(k, it_cas1))
+      qv_prof_cas(k) = qv_cas(k, it_cas2)                               &
+              - frac * (qv_cas(k, it_cas2) - qv_cas(k, it_cas1))
+      ql_prof_cas(k) = ql_cas(k, it_cas2)                               &
+              - frac * (ql_cas(k, it_cas2) - ql_cas(k, it_cas1))
+      qi_prof_cas(k) = qi_cas(k, it_cas2)                               &
+              - frac * (qi_cas(k, it_cas2) - qi_cas(k, it_cas1))
+      u_prof_cas(k) = u_cas(k, it_cas2)                                 &
+              - frac * (u_cas(k, it_cas2) - u_cas(k, it_cas1))
+      v_prof_cas(k) = v_cas(k, it_cas2)                                 &
+              - frac * (v_cas(k, it_cas2) - v_cas(k, it_cas1))
+      ug_prof_cas(k) = ug_cas(k, it_cas2)                               &
+              - frac * (ug_cas(k, it_cas2) - ug_cas(k, it_cas1))
+      vg_prof_cas(k) = vg_cas(k, it_cas2)                               &
+              - frac * (vg_cas(k, it_cas2) - vg_cas(k, it_cas1))
+      temp_nudg_prof_cas(k) = temp_nudg_cas(k, it_cas2)                    &
+              - frac * (temp_nudg_cas(k, it_cas2) - temp_nudg_cas(k, it_cas1))
+      qv_nudg_prof_cas(k) = qv_nudg_cas(k, it_cas2)                        &
+              - frac * (qv_nudg_cas(k, it_cas2) - qv_nudg_cas(k, it_cas1))
+      u_nudg_prof_cas(k) = u_nudg_cas(k, it_cas2)                          &
+              - frac * (u_nudg_cas(k, it_cas2) - u_nudg_cas(k, it_cas1))
+      v_nudg_prof_cas(k) = v_nudg_cas(k, it_cas2)                          &
+              - frac * (v_nudg_cas(k, it_cas2) - v_nudg_cas(k, it_cas1))
+      invtau_temp_nudg_prof_cas(k) = invtau_temp_nudg_cas(k, it_cas2)                    &
+              - frac * (invtau_temp_nudg_cas(k, it_cas2) - invtau_temp_nudg_cas(k, it_cas1))
+      invtau_qv_nudg_prof_cas(k) = invtau_qv_nudg_cas(k, it_cas2)                        &
+              - frac * (invtau_qv_nudg_cas(k, it_cas2) - invtau_qv_nudg_cas(k, it_cas1))
+      invtau_u_nudg_prof_cas(k) = invtau_u_nudg_cas(k, it_cas2)                          &
+              - frac * (invtau_u_nudg_cas(k, it_cas2) - invtau_u_nudg_cas(k, it_cas1))
+      invtau_v_nudg_prof_cas(k) = invtau_v_nudg_cas(k, it_cas2)                          &
+              - frac * (invtau_v_nudg_cas(k, it_cas2) - invtau_v_nudg_cas(k, it_cas1))
+      vitw_prof_cas(k) = vitw_cas(k, it_cas2)                           &
+              - frac * (vitw_cas(k, it_cas2) - vitw_cas(k, it_cas1))
+      omega_prof_cas(k) = omega_cas(k, it_cas2)                         &
+              - frac * (omega_cas(k, it_cas2) - omega_cas(k, it_cas1))
+      tke_prof_cas(k) = tke_cas(k, it_cas2)                         &
+              - frac * (tke_cas(k, it_cas2) - tke_cas(k, it_cas1))
+      du_prof_cas(k) = du_cas(k, it_cas2)                               &
+              - frac * (du_cas(k, it_cas2) - du_cas(k, it_cas1))
+      hu_prof_cas(k) = hu_cas(k, it_cas2)                               &
+              - frac * (hu_cas(k, it_cas2) - hu_cas(k, it_cas1))
+      vu_prof_cas(k) = vu_cas(k, it_cas2)                               &
+              - frac * (vu_cas(k, it_cas2) - vu_cas(k, it_cas1))
+      dv_prof_cas(k) = dv_cas(k, it_cas2)                               &
+              - frac * (dv_cas(k, it_cas2) - dv_cas(k, it_cas1))
+      hv_prof_cas(k) = hv_cas(k, it_cas2)                               &
+              - frac * (hv_cas(k, it_cas2) - hv_cas(k, it_cas1))
+      vv_prof_cas(k) = vv_cas(k, it_cas2)                               &
+              - frac * (vv_cas(k, it_cas2) - vv_cas(k, it_cas1))
+      dt_prof_cas(k) = dt_cas(k, it_cas2)                               &
+              - frac * (dt_cas(k, it_cas2) - dt_cas(k, it_cas1))
+      ht_prof_cas(k) = ht_cas(k, it_cas2)                               &
+              - frac * (ht_cas(k, it_cas2) - ht_cas(k, it_cas1))
+      vt_prof_cas(k) = vt_cas(k, it_cas2)                               &
+              - frac * (vt_cas(k, it_cas2) - vt_cas(k, it_cas1))
+      dth_prof_cas(k) = dth_cas(k, it_cas2)                             &
+              - frac * (dth_cas(k, it_cas2) - dth_cas(k, it_cas1))
+      hth_prof_cas(k) = hth_cas(k, it_cas2)                             &
+              - frac * (hth_cas(k, it_cas2) - hth_cas(k, it_cas1))
+      vth_prof_cas(k) = vth_cas(k, it_cas2)                             &
+              - frac * (vth_cas(k, it_cas2) - vth_cas(k, it_cas1))
+      dtrad_prof_cas(k) = dtrad_cas(k, it_cas2)                         &
+              - frac * (dtrad_cas(k, it_cas2) - dtrad_cas(k, it_cas1))
+      dq_prof_cas(k) = dq_cas(k, it_cas2)                               &
+              - frac * (dq_cas(k, it_cas2) - dq_cas(k, it_cas1))
+      hq_prof_cas(k) = hq_cas(k, it_cas2)                               &
+              - frac * (hq_cas(k, it_cas2) - hq_cas(k, it_cas1))
+      vq_prof_cas(k) = vq_cas(k, it_cas2)                               &
+              - frac * (vq_cas(k, it_cas2) - vq_cas(k, it_cas1))
+      uw_prof_cas(k) = uw_cas(k, it_cas2)                                &
+              - frac * (uw_cas(k, it_cas2) - uw_cas(k, it_cas1))
+      vw_prof_cas(k) = vw_cas(k, it_cas2)                                &
+              - frac * (vw_cas(k, it_cas2) - vw_cas(k, it_cas1))
+      q1_prof_cas(k) = q1_cas(k, it_cas2)                                &
+              - frac * (q1_cas(k, it_cas2) - q1_cas(k, it_cas1))
+      q2_prof_cas(k) = q2_cas(k, it_cas2)                                &
+              - frac * (q2_cas(k, it_cas2) - q2_cas(k, it_cas1))
     enddo
-
 
   END SUBROUTINE interp_case_time_std
@@ -909,28 +893,29 @@
   !**********************************************************************************************
   !=====================================================================
-  SUBROUTINE interp2_case_vertical_std(play,plev,nlev_cas,plev_prof_cas                           &
-       ,t_prof_cas,th_prof_cas,thv_prof_cas,thl_prof_cas                                       &
-       ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                              &
-       ,ug_prof_cas,vg_prof_cas                                                                &
-       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                    &
-       ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas &     
-       ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                              &
-       ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                &
-       ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas &
-       ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                 &
-
-       ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas                                        &
-       ,qv_mod_cas,ql_mod_cas,qi_mod_cas,u_mod_cas,v_mod_cas                                   &
-       ,ug_mod_cas,vg_mod_cas                                                                  &
-       ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                        &
-       ,invtau_temp_nudg_mod_cas,invtau_qv_nudg_mod_cas,invtau_u_nudg_mod_cas,invtau_v_nudg_mod_cas                        &     
-       ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                    &
-       ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                      &
-       ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas        &
-       ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
+  SUBROUTINE interp2_case_vertical_std(play, plev, nlev_cas, plev_prof_cas                           &
+          , t_prof_cas, th_prof_cas, thv_prof_cas, thl_prof_cas                                       &
+          , qv_prof_cas, ql_prof_cas, qi_prof_cas, u_prof_cas, v_prof_cas                              &
+          , ug_prof_cas, vg_prof_cas                                                                &
+          , temp_nudg_prof_cas, qv_nudg_prof_cas, u_nudg_prof_cas, v_nudg_prof_cas                    &
+          , invtau_temp_nudg_prof_cas, invtau_qv_nudg_prof_cas, invtau_u_nudg_prof_cas, invtau_v_nudg_prof_cas &
+          , vitw_prof_cas, omega_prof_cas, tke_prof_cas                                              &
+          , du_prof_cas, hu_prof_cas, vu_prof_cas, dv_prof_cas, hv_prof_cas, vv_prof_cas                &
+          , dt_prof_cas, ht_prof_cas, vt_prof_cas, dtrad_prof_cas, dq_prof_cas, hq_prof_cas, vq_prof_cas &
+          , dth_prof_cas, hth_prof_cas, vth_prof_cas                                                 &
+
+          , t_mod_cas, theta_mod_cas, thv_mod_cas, thl_mod_cas                                        &
+          , qv_mod_cas, ql_mod_cas, qi_mod_cas, u_mod_cas, v_mod_cas                                   &
+          , ug_mod_cas, vg_mod_cas                                                                  &
+          , temp_nudg_mod_cas, qv_nudg_mod_cas, u_nudg_mod_cas, v_nudg_mod_cas                        &
+          , invtau_temp_nudg_mod_cas, invtau_qv_nudg_mod_cas, invtau_u_nudg_mod_cas, invtau_v_nudg_mod_cas                        &
+          , w_mod_cas, omega_mod_cas, tke_mod_cas                                                    &
+          , du_mod_cas, hu_mod_cas, vu_mod_cas, dv_mod_cas, hv_mod_cas, vv_mod_cas                      &
+          , dt_mod_cas, ht_mod_cas, vt_mod_cas, dtrad_mod_cas, dq_mod_cas, hq_mod_cas, vq_mod_cas        &
+          , dth_mod_cas, hth_mod_cas, vth_mod_cas, mxcalc)
+
+    USE lmdz_yomcst
 
     IMPLICIT NONE
 
-    INCLUDE "YOMCST.h"
     INCLUDE "dimensions.h"
 
@@ -940,7 +925,7 @@
 
     INTEGER nlevmax
-    parameter (nlevmax=41)
-    INTEGER nlev_cas,mxcalc
-    !       real play(llm), plev_prof(nlevmax) 
+    parameter (nlevmax = 41)
+    INTEGER nlev_cas, mxcalc
+    !       real play(llm), plev_prof(nlevmax)
     !       real t_prof(nlevmax),q_prof(nlevmax)
     !       real u_prof(nlevmax),v_prof(nlevmax), w_prof(nlevmax)
@@ -948,36 +933,36 @@
     !       real hq_prof(nlevmax),vq_prof(nlevmax)
 
-    REAL play(llm), plev(llm+1), plev_prof_cas(nlev_cas)
-    REAL t_prof_cas(nlev_cas),th_prof_cas(nlev_cas),thv_prof_cas(nlev_cas),thl_prof_cas(nlev_cas)
-    REAL qv_prof_cas(nlev_cas),ql_prof_cas(nlev_cas),qi_prof_cas(nlev_cas)
-    REAL u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
-    REAL ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas), vitw_prof_cas(nlev_cas),omega_prof_cas(nlev_cas),tke_prof_cas(nlev_cas)
-    REAL temp_nudg_prof_cas(nlev_cas),qv_nudg_prof_cas(nlev_cas)
-    REAL u_nudg_prof_cas(nlev_cas),v_nudg_prof_cas(nlev_cas)
-    REAL invtau_temp_nudg_prof_cas(nlev_cas),invtau_qv_nudg_prof_cas(nlev_cas)
-    REAL invtau_u_nudg_prof_cas(nlev_cas),invtau_v_nudg_prof_cas(nlev_cas)
-
-    REAL du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
-    REAL dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
-    REAL dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas),dtrad_prof_cas(nlev_cas)
-    REAL dth_prof_cas(nlev_cas),hth_prof_cas(nlev_cas),vth_prof_cas(nlev_cas)
-    REAL dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
-
-    REAL t_mod_cas(llm),theta_mod_cas(llm),thv_mod_cas(llm),thl_mod_cas(llm)
-    REAL qv_mod_cas(llm),ql_mod_cas(llm),qi_mod_cas(llm)
-    REAL u_mod_cas(llm),v_mod_cas(llm)
-    REAL ug_mod_cas(llm),vg_mod_cas(llm), w_mod_cas(llm),omega_mod_cas(llm),tke_mod_cas(llm+1)
-    REAL temp_nudg_mod_cas(llm),qv_nudg_mod_cas(llm)
-    REAL u_nudg_mod_cas(llm),v_nudg_mod_cas(llm)
-    REAL invtau_temp_nudg_mod_cas(llm),invtau_qv_nudg_mod_cas(llm)
-    REAL invtau_u_nudg_mod_cas(llm),invtau_v_nudg_mod_cas(llm)
-    REAL du_mod_cas(llm),hu_mod_cas(llm),vu_mod_cas(llm)
-    REAL dv_mod_cas(llm),hv_mod_cas(llm),vv_mod_cas(llm)
-    REAL dt_mod_cas(llm),ht_mod_cas(llm),vt_mod_cas(llm),dtrad_mod_cas(llm)
-    REAL dth_mod_cas(llm),hth_mod_cas(llm),vth_mod_cas(llm)
-    REAL dq_mod_cas(llm),hq_mod_cas(llm),vq_mod_cas(llm)
-
-    INTEGER l,k,k1,k2
-    REAL frac,frac1,frac2,fact
+    REAL play(llm), plev(llm + 1), plev_prof_cas(nlev_cas)
+    REAL t_prof_cas(nlev_cas), th_prof_cas(nlev_cas), thv_prof_cas(nlev_cas), thl_prof_cas(nlev_cas)
+    REAL qv_prof_cas(nlev_cas), ql_prof_cas(nlev_cas), qi_prof_cas(nlev_cas)
+    REAL u_prof_cas(nlev_cas), v_prof_cas(nlev_cas)
+    REAL ug_prof_cas(nlev_cas), vg_prof_cas(nlev_cas), vitw_prof_cas(nlev_cas), omega_prof_cas(nlev_cas), tke_prof_cas(nlev_cas)
+    REAL temp_nudg_prof_cas(nlev_cas), qv_nudg_prof_cas(nlev_cas)
+    REAL u_nudg_prof_cas(nlev_cas), v_nudg_prof_cas(nlev_cas)
+    REAL invtau_temp_nudg_prof_cas(nlev_cas), invtau_qv_nudg_prof_cas(nlev_cas)
+    REAL invtau_u_nudg_prof_cas(nlev_cas), invtau_v_nudg_prof_cas(nlev_cas)
+
+    REAL du_prof_cas(nlev_cas), hu_prof_cas(nlev_cas), vu_prof_cas(nlev_cas)
+    REAL dv_prof_cas(nlev_cas), hv_prof_cas(nlev_cas), vv_prof_cas(nlev_cas)
+    REAL dt_prof_cas(nlev_cas), ht_prof_cas(nlev_cas), vt_prof_cas(nlev_cas), dtrad_prof_cas(nlev_cas)
+    REAL dth_prof_cas(nlev_cas), hth_prof_cas(nlev_cas), vth_prof_cas(nlev_cas)
+    REAL dq_prof_cas(nlev_cas), hq_prof_cas(nlev_cas), vq_prof_cas(nlev_cas)
+
+    REAL t_mod_cas(llm), theta_mod_cas(llm), thv_mod_cas(llm), thl_mod_cas(llm)
+    REAL qv_mod_cas(llm), ql_mod_cas(llm), qi_mod_cas(llm)
+    REAL u_mod_cas(llm), v_mod_cas(llm)
+    REAL ug_mod_cas(llm), vg_mod_cas(llm), w_mod_cas(llm), omega_mod_cas(llm), tke_mod_cas(llm + 1)
+    REAL temp_nudg_mod_cas(llm), qv_nudg_mod_cas(llm)
+    REAL u_nudg_mod_cas(llm), v_nudg_mod_cas(llm)
+    REAL invtau_temp_nudg_mod_cas(llm), invtau_qv_nudg_mod_cas(llm)
+    REAL invtau_u_nudg_mod_cas(llm), invtau_v_nudg_mod_cas(llm)
+    REAL du_mod_cas(llm), hu_mod_cas(llm), vu_mod_cas(llm)
+    REAL dv_mod_cas(llm), hv_mod_cas(llm), vv_mod_cas(llm)
+    REAL dt_mod_cas(llm), ht_mod_cas(llm), vt_mod_cas(llm), dtrad_mod_cas(llm)
+    REAL dth_mod_cas(llm), hth_mod_cas(llm), vth_mod_cas(llm)
+    REAL dq_mod_cas(llm), hq_mod_cas(llm), vq_mod_cas(llm)
+
+    INTEGER l, k, k1, k2
+    REAL frac, frac1, frac2, fact
 
 
